Bug 994129 - [Admin Portal] RunOnce Cloud-init Error / interfaces.BackendLocal.RunAction(org.ovirt.engine.core.common.acti on.VdcActionType,org.ovirt.engine.core.common.action.VdcActionParametersBase): javax.ejb.EJBException: JBAS014580: Unexpected Error
[Admin Portal] RunOnce Cloud-init Error / interfaces.BackendLocal.RunAction(o...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
Unspecified Unspecified
high Severity urgent
: ---
: 3.3.0
Assigned To: Omer Frenkel
Dušan Kajan
: TestBlocker
: 994881 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2013-08-06 10:40 EDT by Jiri Belka
Modified: 2015-09-22 09 EDT (History)
8 users (show)

See Also:
Fixed In Version: is10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
engine.log, server.log, vdsm.log (669.52 KB, application/x-gzip)
2013-08-06 10:40 EDT, Jiri Belka
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17780 None None None Never

  None (edit)
Description Jiri Belka 2013-08-06 10:40:39 EDT
Created attachment 783374 [details]
engine.log, server.log, vdsm.log

Description of problem:
Cannot start cloud-init in Run Once, ends in:

Error while executing action: A Request to the Server failed with the following Status Code: 500

2013-08-06 16:27:13,840 ERROR [org.jboss.as.ejb3.invocation] (ajp-/ JBAS014134: EJB Invocation failed on component Backend for method public a
bstract org.ovirt.engine.core.common.action.VdcReturnValueBase org.ovirt.engine.core.common.interfaces.BackendLocal.RunAction(org.ovirt.engine.core.common.acti
on.VdcActionType,org.ovirt.engine.core.common.action.VdcActionParametersBase): javax.ejb.EJBException: JBAS014580: Unexpected Error
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.handleExceptionInNoTx(CMTTxInterceptor.java:188) [jboss-as-ejb3.jar:7.2.0.Final-redhat-8]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.invokeInNoTx(CMTTxInterceptor.java:237) [jboss-as-ejb3.jar:7.2.0.Final-redhat-8]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.supports(CMTTxInterceptor.java:374) [jboss-as-ejb3.jar:7.2.0.Final-redhat-8]
        at org.jboss.as.ejb3.tx.CMTTxInterceptor.processInvocation(CMTTxInterceptor.java:218) [jboss-as-ejb3.jar:7.2.0.Final-redhat-8]
        at org.jboss.invocation.InterceptorContext.proceed(InterceptorContext.java:288) [jboss-invocation.jar:1.1.1.Final-redhat-2]
        at org.jboss.as.ejb3.component.interceptors.CurrentInvocationContextInterceptor.processInvocation(CurrentInvocationContextInterceptor.java:41) [jboss-a

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create RHEL6 64bit VM (1 nic, 1 1GB disk)
2. start run once -> check/enable cloud-init

Actual results:

Expected results:

Additional info:
engine seems to think this vm is running after this issue, clicking 'Run' on this VM causes:

Error while executing action:


    Cannot run VM. VM is running.

Funny is i can delete this vm.
Comment 1 Omer Frenkel 2013-08-07 11:22:08 EDT
problem is that dependencies works a little different in jboss 7.2.
the package snakeyaml is referenced under rest-api, and in 7.1.1 it was enough in order to use it in other packages (vdsBroker).
in 7.2 it requires specific dependency declaration.
Comment 2 Roy Golan 2013-08-08 04:23:47 EDT
*** Bug 994881 has been marked as a duplicate of this bug. ***
Comment 5 Dušan Kajan 2013-08-29 08:28:04 EDT
verified, tested on is10
Comment 6 Itamar Heim 2014-01-21 17:21:22 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:26:45 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.